#
# spec file for package yast2-xml (Version 2.13.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-xml
URL:            http://www.suse.de/
Version:        2.13.2
Release:        1.3
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-xml-2.13.2.tar.bz2
prefix:		/usr
BuildRequires:  doxygen gcc-c++ libxcrypt-devel yast2-core-devel yast2-devtools
Summary:        YaST2 - XML Agent
Requires:       libxml2
Requires:       yast2
Provides:       yast2-agent-xml yast2-agent-xml-devel yast2-lib-xml
Obsoletes:      yast2-agent-xml yast2-agent-xml-devel yast2-lib-xml

%description
The YaST2 XML agent



Authors:
--------
    Anas Nashif <nashif@suse.de>

%debug_package
%prep
%setup -n yast2-xml-2.13.2

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/YaST2/plugin/libpy2ag_xml.so.*
%{_libdir}/YaST2/plugin/libpy2ag_xml.so
%{_libdir}/YaST2/plugin/libpy2ag_xml.la
/usr/share/YaST2/scrconf/xml.scr
%doc %{prefix}/share/doc/packages/yast2-xml

%changelog -n yast2-xml
* Thu Jun 01 2006 - visnov@suse.cz
- De-register error handler when not parsing anymore (#175197)
- 2.13.2
* Mon Feb 06 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.1
* Wed Jan 11 2006 - mvidner@suse.cz
- Added Read (.xml.error_message) (ug).
- 2.13.0
* Tue Aug 16 2005 - ug@suse.de
- reset previous error state
- 2.12.0
* Wed Feb 09 2005 - nashif@suse.de
- Moved YCP module to yast2 package
* Wed Jul 28 2004 - nashif@suse.de
- Fixed libxml2 flags
* Fri Apr 02 2004 - nashif@suse.de
- License changed to GPL
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Tue Mar 09 2004 - nashif@suse.de
- Dont break after find non cdata string (#35166)
- 2.9.5
* Thu Mar 04 2004 - nashif@suse.de
- dont try to evaluate unknown data types (#35166)
- 2.9.4
* Tue Mar 02 2004 - nashif@suse.de
- Added type info
- 2.9.3
* Sat Jan 24 2004 - nashif@suse.de
- Updates for new interpreter
- removed obsoleted perl agents and relevant ycp files
- 2.9.2
* Tue Nov 11 2003 - nashif@suse.de
- Use doxygen
- 2.9.1
* Tue Nov 11 2003 - nashif@suse.de
- changed xmlError function name to avoid collision
- 2.9.0
* Tue Aug 19 2003 - nashif@suse.de
- use String::CutBlanks
- 2.8.2
* Wed Aug 06 2003 - nashif@suse.de
- #28439: Dont parse empty xml elements defined as list into empty strings..
- 2.8.1
* Fri May 16 2003 - nashif@suse.de
- Added missing files to files list
- 2.8.0
* Wed Jan 22 2003 - nashif@suse.de
- Fixed XML-RPC handling
- 2.7.0
* Sat Sep 07 2002 - mvidner@suse.cz
- Fixed a segfault when writing a class file (#18865).
- Return an error if saving fails.
- 2.6.8
* Wed Aug 14 2002 - nashif@suse.de
- added xmlrpc to filelist
- perl agent for reading XML trees
- removed debugging messages
- 2.6.7
* Mon Jul 29 2002 - nashif@suse.de
- return error if parsing fails
- 2.6.6
* Sat Jul 20 2002 - nashif@suse.de
- use yast2-devel-packages
- 2.6.5
* Tue Jul 16 2002 - nashif@suse.de
- Dont set empty namespaces
- 2.6.4
* Tue Jul 09 2002 - mvidner@suse.cz
- Provide/Obsolete also yast2-agent-xml-devel
* Thu Jul 04 2002 - nashif@suse.de
- Dont require yast2-curl
- xmlrpc feature currently not used
* Mon Jun 24 2002 - arvin@suse.de
- renamed to from yast2-agent-xml to yast2-xml and
  merged with yast2-lib-xml
* Sat May 18 2002 - nashif@suse.de
- handle error message correctly
- implemented XInclude for inclusion of external/remote entities
- 2.6.2
* Tue May 07 2002 - nashif@suse.de
- Use libxml2 instead of qt XML exensions
- Parse basic XML-RPC Requests
- Return XML string instead of writing files only
* Mon Apr 08 2002 - nashif@suse.de
- Fixed to compile with gcc3.1
- 2.6.0
* Sun Jan 20 2002 - nashif@suse.de
- 2.5.6
- Handle empty lists
* Mon Jan 14 2002 - nashif@suse.de
- Version 2.5.5
- Save YCP Symbol correctly
* Tue Jan 08 2002 - nashif@suse.de
- added qt3-non-mt to neededforbuild
* Thu Jan 03 2002 - nashif@suse.de
- Version 2.5.3
- Changed neededforbuild to use qt3
* Fri Dec 14 2001 - nashif@suse.de
- Version 2.5.2
- Use qt3 if avialble
- Removed unneeded warning messages
* Tue Oct 30 2001 - nashif@suse.de
- Initial version
